/**********************************************************************

Poti.h
add-on by Henner Meinhold 4/2020
Part of DCC++ BASE STATION for the Arduino

**********************************************************************/

#ifndef Poti_h
#define Poti_h

#include "PacketRegister.h"
#include "Arduino.h"

#define  MAX_COMMAND_LENGTH         30
#define FIRST_LOCO_ADDRESS			3
#define SECOND_LOCO_ADDRESS 		6

struct Poti{
  static char commandString[MAX_COMMAND_LENGTH+1];
  static volatile RegisterList *mRegs;
  static int OldCabSpeed[2];
  static bool flipflop;
  static bool PotiActive;
  static unsigned char OldFunctions;
  static void init(volatile RegisterList *);
  static void process();
}; // Poti
  
#endif
